Bug 176055 - [RFE] please include "follow_xff" patch in squid
[RFE] please include "follow_xff" patch in squid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
http://squid.sourceforge.net/follow_x...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-18 10:51 EST by shrek-m
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-28 06:02:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2005-12-18 10:51:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
http://squid.sourceforge.net/follow_xff/index.html
http://squid.sourceforge.net/projects.html#follow_xff

it would be useful if you could include the "follow_xff" patch in squid 2.x

http://dansguardian.org/?page=extras

Version-Release number of selected component (if applicable):
squid-2.5.STABLE11-3.FC3

How reproducible:
Always

Steps to Reproduce:
1. add the config example in squid.conf
2. reload squid

Actual Results:  # service squid reload
[...]parseConfigFile: line 1880 unrecognized: 'follow_x_forwarded_for allow localhost'
[...]parseConfigFile: line 1881 unrecognized: 'acl_uses_indirect_client on'
[...]parseConfigFile: line 1882 unrecognized: 'delay_pool_uses_indirect_client on'
[...]parseConfigFile: line 1883 unrecognized: 'log_uses_indirect_client on'

Additional info:
Comment 1 Martin Stransky 2005-12-19 04:43:47 EST
I'll review this patch for FC5-test3...

Note You need to log in before you can comment on or make changes to this bug.